| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
OgreBites::InputListener Struct Reference

the return values of the callbacks are ignored by ApplicationContext however they can be used to control event propagation in a hierarchy More...

`#include <OgreInput.h>`

Inheritance diagram for OgreBites::InputListener:
[legend]

## Public Member Functions
virtual | ~InputListener ()
virtual void | frameRendered (const Ogre::FrameEvent &evt)
virtual bool | keyPressed (const KeyboardEvent &evt)
virtual bool | keyReleased (const KeyboardEvent &evt)
virtual bool | mouseMoved (const MouseMotionEvent &evt)
virtual bool | mousePressed (const MouseButtonEvent &evt)
virtual bool | mouseReleased (const MouseButtonEvent &evt)
virtual bool | mouseWheelRolled (const MouseWheelEvent &evt)
virtual bool | touchMoved (const TouchFingerEvent &evt)
virtual bool | touchPressed (const TouchFingerEvent &evt)
virtual bool | touchReleased (const TouchFingerEvent &evt)

## Detailed Description

the return values of the callbacks are ignored by ApplicationContext however they can be used to control event propagation in a hierarchy

## Constructor & Destructor Documentation

## ◆ ~InputListener()

virtual OgreBites::InputListener::~InputListener | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ frameRendered()

virtual void OgreBites::InputListener::frameRendered | ( | const Ogre::FrameEvent & | evt | ) |
| inline virtual

Reimplemented in OgreBites::TrayManager, OgreBites::CameraMan, and OgreBites::AdvancedRenderControls.

## ◆ keyPressed()

virtual bool OgreBites::InputListener::keyPressed | ( | const KeyboardEvent & | evt | ) |
| inline virtual

Reimplemented in OgreBites::CameraMan, and OgreBites::AdvancedRenderControls.

## ◆ keyReleased()

virtual bool OgreBites::InputListener::keyReleased | ( | const KeyboardEvent & | evt | ) |
| inline virtual

Reimplemented in OgreBites::CameraMan.

## ◆ touchMoved()

virtual bool OgreBites::InputListener::touchMoved | ( | const TouchFingerEvent & | evt | ) |
| inline virtual

## ◆ touchPressed()

virtual bool OgreBites::InputListener::touchPressed | ( | const TouchFingerEvent & | evt | ) |
| inline virtual

## ◆ touchReleased()

virtual bool OgreBites::InputListener::touchReleased | ( | const TouchFingerEvent & | evt | ) |
| inline virtual

## ◆ mouseMoved()

virtual bool OgreBites::InputListener::mouseMoved | ( | const MouseMotionEvent & | evt | ) |
| inline virtual

Reimplemented in OgreBites::TrayManager, and OgreBites::CameraMan.

## ◆ mouseWheelRolled()

virtual bool OgreBites::InputListener::mouseWheelRolled | ( | const MouseWheelEvent & | evt | ) |
| inline virtual

Reimplemented in OgreBites::CameraMan.

## ◆ mousePressed()

virtual bool OgreBites::InputListener::mousePressed | ( | const MouseButtonEvent & | evt | ) |
| inline virtual

Reimplemented in OgreBites::TrayManager, and OgreBites::CameraMan.

## ◆ mouseReleased()

virtual bool OgreBites::InputListener::mouseReleased | ( | const MouseButtonEvent & | evt | ) |
| inline virtual

Reimplemented in OgreBites::TrayManager, and OgreBites::CameraMan.

The documentation for this struct was generated from the following file:

- OgreInput.h